General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] ImportError while Adding Users to Samba4


Chronological Thread 
  • From: Wolfgang Sourdeau < >
  • To:
  • Subject: Re: [SOGo] ImportError while Adding Users to Samba4
  • Date: Fri, 04 May 2012 15:58:34 -0400

Le 12-05-04 10:04, Lennardt Dobrodt a écrit :
Hello,

I'm having problems adding users to samba4. When I try to use the samba-tool I
get this error:

root@XXXXXXX:/opt/openchange/sogo/samba4# ./bin/samba-tool domain
passwordsettings set --complexity=off
Traceback (most recent call last):
File "./bin/samba-tool", line 31, in<module>
from samba.netcmd.domain import cmd_domain
File "bin/python/samba/netcmd/domain.py", line 44, in<module>
from samba.samba3 import Samba3
File "bin/python/samba/samba3/__init__.py", line 29, in<module>
import passdb
ImportError: /usr/local/samba/lib/libccan.so.0: version `SAMBA_4.0.0ALPHA17'
not found (required by /usr/local/samba/lib/libsmbconf.so.0)

Could someone help me please? I followed the steps in the "Native Microsoft
Outlook Configuration Guide". Google Search didn't help. Just getting
contradictory stuff.

Thank you for your efforts!

Lennardt Dobrodt
Hi,


You need to point your "PYTHONPATH" environment var to /usr/local/lib/samba/lib/pythonVERSION/site-packages


W.




Archive powered by MHonArc 2.6.18.

Top of page